Skip to main content

Info

2 API calls in this section.

List Restaurants​

Public APIs / Public / Info
GET/public/restaurants

Browse public restaurant listings with search, language and pagination options.

Query parameters

ParameterTypeDescription
searchstring

Example: {{search}}

pagestring

Example: {{page}}

limitstring

Example: {{limit}}

langstring

Example: {{lang}}

Staging
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/restaurants?search=${SEARCH}&page=${PAGE}&limit=${LIMIT}&lang=${LANG}"

Response examples

No saved response example. Use Try it to inspect a staging response.

Get Restaurant Info​

Public APIs / Public / Info
GET/public/restaurant/:slug/info

Load the public information for the restaurant identified by its slug.

Path parameters

ParameterTypeDescription
slugRequiredstring

Dynamic path value from the request URL.

Staging
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/restaurant/${SLUG}/info"

Response examples

No saved response example. Use Try it to inspect a staging response.